# Interface SessionHistory

interface SessionHistory {
gameMode : GameModes ;
gameVersion : string;
modifiers : default [];
money : number;
party : default [];
playTime : number;
result : SessionHistoryResult ;
seed : string;
timestamp : number;
waveIndex : number;
}

- Defined in src/system/session-history.ts:11

#####
Index

### Properties

gameMode
gameVersion
modifiers
money
party
playTime
result
seed
timestamp
waveIndex

## Properties

### gameMode

gameMode: GameModes

- Defined in src/system/session-history.ts:15

### gameVersion

gameVersion: string

- Defined in src/system/session-history.ts:20

### modifiers

modifiers: default []

- Defined in src/system/session-history.ts:17

### money

money: number

- Defined in src/system/session-history.ts:18

### party

party: default []

- Defined in src/system/session-history.ts:16

### playTime

playTime: number

- Defined in src/system/session-history.ts:13

### result

result: SessionHistoryResult

- Defined in src/system/session-history.ts:14

### seed

seed: string

- Defined in src/system/session-history.ts:12

### timestamp

timestamp: number

- Defined in src/system/session-history.ts:21

### waveIndex

waveIndex: number

- Defined in src/system/session-history.ts:19